lo_osc_types.h File Reference

Go to the source code of this file.

## Data Structures

struct | lo_timetag
| A structure to store OSC TimeTag values. More...
union | lo_arg
| Union used to read values from incoming messages. More...

## Macros

#define | LO_TT_IMMEDIATE ((lo_timetag){0U,1U})
| A timetag constant representing "now".

## Enumerations

enum | lo_element_type { LO_ELEMENT_MESSAGE = 1 , LO_ELEMENT_BUNDLE = 2 }
| An enumeration of bundle element types liblo can handle. More...
enum | lo_type { LO_INT32 = 'i' , LO_FLOAT = 'f' , LO_STRING = 's' , LO_BLOB = 'b' , LO_INT64 = 'h' , LO_TIMETAG = 't' , LO_DOUBLE = 'd' , LO_SYMBOL = 'S' , LO_CHAR = 'c' , LO_MIDI = 'm' , LO_TRUE = 'T' , LO_FALSE = 'F' , LO_NIL = 'N' , LO_INFINITUM = 'I' }
| An enumeration of the OSC types liblo can send and receive. More...

## Detailed Description

A liblo header defining OSC-related types and constants.

Definition in file lo_osc_types.h.